0.3.2 (12-DEC-2009)
-------------------
 * sa
   * Embedded FTP server
   * New profiles: Raritan.DominionSX
   * New scripts: Generic.configure, HP.GbE2.get_vlans, HP.GbE2.add_vlan, HP.GbE2.remove_vlan
 * fm
   * New MIBs: FORCE10-TC, FORCE10-SMI, F10-CHASSIS
 * cm
   * "Get Now" link in config index
   * Mutli-file configurations
 * ip
   * IPv4 Block to VC binding
   * Link to change block access directly from block view
 * peer
   * Whois Cache
   * peer.update_whois_cache periodic task
   * Interactive prefix-list builder
   * AS RPSL builder reworked
   * Organisation objects
   * Peer.status, Peer.rpsl_remark, AS.as_name, AS.admin-c, AS.tech-c, AS.maintainters, AS.route-maintainers fields
 * pm
   * jQuery extension for time series preview
   * Time Series preview
 * vc
   * VC Provisioning for HP.GbE2
   * Display binded IPv4 blocks in VC list
   
0.3.1 (02-OCT-2009)
-------------------
 * main
   * Better socket and resolver error handling in Non-Blocking Socket Library
   * Daemon Heartbeats (noc-activator, noc-probe)
   * CSV export in reports and change lists
   * noc-launcher fixes crashinfo's permissions when necessary
 * sa
   * New profiles: HP.GbE2, Sun.iLOM3
   * Configuration modification ability for scripts
   * New scripts: Cisco.IOS.add_vlan, Cisco.IOS.remove_vlan, Generic.sync_vlans, Cisco.NXOS.get_vlans
   * New interfaces: IAddVlan, IRemoveVlan, ISyncVlans
   * max_pull_config now behaves properly
   * Script.snmp.getnext() method for SNMP GETNEXT support
   * Cisco.NXOS.get_version script uses SNMP when available
   * Search filter in "Task Schedule" form
   * Activator's built-in HTTP Server
 * fm
   * New classification rules for Cisco.ASA and Force10.FTOS
   * Archivation Rules can close events
 * ip
   * Check for duplicated IPv4 addresses and blocks
   * IPv4 Address Ranges
   * Suggest free blocks in "Allocate Block" form
 * dns
   * New reports: "Missed Reverse Zones"
   * DNS Zone Profile "description" field
 * vc
   * VC Provisioning (including vc.vc_provisioning periodic task)
   * VC.name field for VC names
   * VC.type field moved into VCDomain.type
 * pm
   * fping probe
   * snmp probe: ifindex resolution process optimized
 * peer
   * Peer.masklen is deprecated and removed
   
0.3 (02-SEP-2009)
-----------------
 * main
   * System Notifications
   * etc/noc.conf: new configuration options: month_day_format and year_month_format
   * Basic GnuPG support
 * sa
   * New profiles: Zyxel.ZyNOSv2, HP.iLO2, Cisco.NXOS, Cisco.AireOS, Raisecom.ROS
   * Cisco.IOS.get_version uses SNMP when available
   * Cisco.IOS.get_mac_address_table: improved compatibility with IOS GS (Catalyst 4500 series)
   * SAE creates missed task schedules
   * SAE generates events of periodic task completion
   * "Run Now" link in Task Schedules form
   * New interfaces: IGetDHCPBinding, IGetLocalUsers, IHasLocalUser
   * New scripts: Cisco.IOS.get_dhcp_binding, Cisco.IOS.get_local_users, Force10.FTOS.get_local_users, Generic.has_local_user
                  Cisco.NXOS.get_local_users
   * New interface parameter availeble: DateTimeParameter
   * Memory and thread leaking in noc-activator fixed
 * fm
   * New event classes, classification and correlation rules rules for Performance Management, Periodic tasks and Cisco.IOS
   * Activator places "collector" signature into the events
   * Event preview form shows descriptions from MIB
   * New MIBs: AIRESPACE-REF-MIB, AIRESPACE-WIRELESS-MIB, CISCO-LWAPP-AAA-MIB, CISCO-LWAPP-TC-MIB, CISCO-LWAPP-WLAN-MIB
 * ip
   * Display a list of block maintainers in block info
   * VRF and VRF Groups description fields
   * Show breadcrumbs in IP Address Assignment form
 * dns
   * Domain expiration checking (DNSZone.paid_till field and dns.check_domain_expiration periodic task)
   * Registrar database synchronization (dns.update_domain_expiration periodic task)
   * Import zones from text file
   * Nested zones handling improved
   * Missed A records for zone nameservers are auto-created
 * kb
   * Show article categories at the bottom of article
   * "Categories" page
   * "label" attribute of "rackset" tag in "rack" macro
   * Sortable CSV tables
 * pm
   * New performance management framework
   * Basic set of probes: tcp, http, smtp, ssh, snmp, snmp-interface, popen, process
   * manage.py ts-list, ts-rm, ts-export commands

0.2.7 (05-AUG-2009)
-------------------
 * main
   * Flexible notification mechanism with Time Patterns and Notification Groups and noc-notifier daemon
   * User Profiles
   * noc-launcher can set up daemons user and group ids
   * DeprecationWarnings on python 2.6 are removed
   * Record preview in Reference Books
   * Old backup removal
   * All daemons silently exit on SIGINT signal
   * All daemons accept --version key
   * manage.py "build-manifest" command
 * sa
   * Optional SSL encryption of SAE-Activator stream
   * DLink.DGS3xxx profile now supports DGS3100
 * fm
   * Ping only active managed objects
   * Managed Object lookup is case insensitive now
   * Case-insensitive search over Managed Objects in event filter
   * New event classes: "Config Synced", "Bad DNS Query"
   * New classification rules for Cisco.IOS
   * Repeat protection for "Invalid Event Source" event
 * cm
   * Do not raise exception on yet-not-read config previewing
 * peer
   * Configurable RPSL's pref= symantics (localpref or 65535-localpref)
 * kb
   * "reserved" attribute of "allocation" tag in "rack" macro

0.2.6 (21-JUN-2009)
-------------------
 * main
   * noc-launcher daemon
   * New project logo
   * Editable Reference Books
   * Search on Reference Book
   * Audit Trail
   * Local modifications of config syntax highlighting
   * Rotating log files
   * main.database_summary report
   * Column totals in reports
 * sa
   * New profiles: EdgeCore.ES4xxx, Linksys.SPS2xx
   * Multiple instances of SNMP Trap/SYSLOG collectors on different addresses/ports
   * Filter by activator in Managed Object Selectors
   * sa.activator_status report
 * fm
   * New classification rules for Linksys.SPS2xx
   * Open/Close/Reclassification requests no longer reset event filter
   * Post-Processing Rules cloning
   
0.2.5 (22-JUN-2009)
-------------------
 * main
   * Local modifications
   * Database user credentials now are passed to the pg_dump
 * sa
   * Managed Object Selectors
   * Map/Reduce scripts
   * New interface: ICommands
   * New generic script: commands
   * Speed optimization for row-level access
 * cm
   * Two-column diff preview mode
   
0.2.4 (10-JUN-2009)
-------------------
MIGRATION:
Enable main.update_refbooks periodic task for reference books auto-update

CHANGES:
 * main
   * update.nocproject.org online service
   * Reference Books (IEEE OUI, Q.931 Call clearings)
   * main.update_refbooks periodic task
   * Data Browser
 * sa
   * Improved control-sequences handling
   * Activator access can be restricted by IP address range
   * New profile: VoiceFinder.AddPack
 * kb
   * Article templates
 * vc
   * Custom VC types
   
0.2.3 (01-JUN-2009)
-------------------
 * sa
   * Memory leak in SAE daemon eliminated
   * Improved ESC control-sequences handling
   * Improved complex pagers handling
 * fm
   * noc-correlator daemon is completely rewritten
   * fm.archive periodic task to delete deprecated events
   * New MIBs: F5-BIGIP-COMMON-MIB
   * New event classes for dot11 and load balancers
   * New classification rules for Cisco IOS, Cisco CSM module and f5 LTM
   * "Active Problems Summary" dashboard
 * cm
   * Config file syntax highlighting
   * Improved navigation
 * ip
   * Show/Hide free IP addresses in the block
   * "Download IP addresses" tool returns full list of IP addresses, including nested blocks
 * kb
   * New "format" macro for syntax highlighting
 * dns
   * New zone provisioning scripts for BIND
   * DNSServer.autozones_path attribute
   * Updated module documentation
   
0.2.2 (17-MAY-2009)
-------------------
 * main
   * Configuration editor
   * All configuration options are documented
   * All filters in change lists can be toggled up/down
 * sa
   * New profiles: Cisco.FWSM and Ubiquiti.AirOS
   * Improved compatibility with Cisco IOS 12.2SXF and 12.2GS
   * Improved web-interface navigation
   * "Path" field in Managed Object's form
   * New interface: IGetARP
   * New scripts: Cisco.IOS.get_arp, Juniper.JUNOS.get_arp, Force10.FTOS.get_arp
 * fm
   * Additional classification rules for Audiocodes.Mediant2000, Force10.FTOS
   * New built-in event classes: security-related event classes (3 new classes)
   * New built-in classification rules: 7 new rules for Cisco IOS, Force10 FTOS and Audiocodes Mediant2000
 * ip
   * common look-and-feel of the web interface

0.2.1 (12-MAY-2009)
-------------------
 * main
   * Auto-updated list of supported equipment (from profile's supported.csv)
   * Daemons can dump memory object statistics into log on SIGPROF signal
   * main.system report shows PostgreSQL version too
   * Customizable logo
   * etc/noc.conf:[customization]/logo_url,logo_width and logo_height options
 * sa
   * New profile: InfiNet.WANFlexX (Revolution 5000)
   * New scripts: DLink.DES3xxx.get_vlans, DLink.DGS3xxx.get_vlans
   * Bugfixes in scripts: DLink.DES3xxx.get_version, DLink.DGS3xxx.get_version
 * kb
   * Pluggable Macros
   * Macros: "now", "rack", "search"
   * Global and User bookmarks
   * MoinMoin converter
 * ip
   * Search by allocated IPv4 Blocks
   * Search by IP address description
   
0.2 (21-APR-2009)
-----------------
MIGRATION:
 Install python-creole package (easy-install python-creole)
CHANGES:
 * main
   * Pluggable search engine (Search over IPv4 Addresses, VCs, CM Objects, Managed Objects, Knowledge Base)
   * Database of natural languages
   * Database of MIME Types
   * Virtual database storage
   * etc/noc.conf:[main]/date_format,time_format and datetime_format settings
 * fm
   * Event Classification Variable Expressions
 * sa
   * New scripts: Cisco.ASA.get_version
   * Managed Objects have new "description" field
 * kb
   * New application: KB (Knowledge Base)
   * Creole, Plain text and CSV parsers
   * Attachments handling

0.1.9 (30-MAR-2009)
-------------------
CHANGES:
 * main
   * Ubuntu init files in share/linux/ubuntu/init.d
   * FastCGI socket permissions problem on Linux fixed
 * sa
   * Force10 FTOS support
   * Activator does not try to execute script on unreachable managed objects
   * New set of useful parsers in noc.lib.text available for scripts
   * ManagedObject and Config are fully syncronized now
 * fm
   * Event Post-Processing Rules
 * cm
   * Check repo_path is inside repo
 * ip
   * ip.summary and ip.free reports no longer hang on 0.0.0.0/prefix

0.1.8 (19-MAR-2009)
-------------------
MIGRATION:
 * set up etc/noc.conf:[customization]/installation_name
CHANGES:
 * main
   * Site customization via etc/noc.conf:[customization]/installation_name setting
 * sa
   * Managed Objects can be uploaded from CSV file
 * ip
   * Offer first free IP in "Assign IP Address" form
 * cm
   * cm.ip_addresses_in_config report fixed
 * fm
   * Event search fixed
 
0.1.7 (16-MAR-2009)
-------------------
MIGRATION:
 * Set up 'dig' path in [path]/dig option in etc/noc.conf
 * Migration process is simplified. Just after update perform
   * su - noc
   * cd /opt/noc
   * ./scripts/post-install
CHANGES:
 * main
   * [path]/dig option in etc/noc.conf
   * Autodetection of paths in etc/*.conf files in post-install script
   * Integrated online documentation (Administrator's and User's Guides)
 * sa
   * f5 BIG-IP basic support
   * Improved handling of pagers
   * Juniper.JUNOS.get_version SRX platform support
   * Serialization error when non-empty ManagedObject.port is fixed
   * Better handling of XML-RPC failures in web interface
 * fm
   * "Clone Rule" button in Event Classification Rule form

0.1.6 (07-MAR-2009)
-------------------
MIGRATION
 * /opt/noc is default installation place now
CHANGES:
 * main
   * Improved navigation interface
   * Standard distutils setup.py
 * sa
   * Cisco.IOS.ping script bugfixes
 * pm
   * New "Performance Management" module skeleton
   * Experimental SLA monitor
   * http probe for SLA monitor

0.1.5 (01-MAR-2009)
-------------------
MIGRATION:
 * Install PyKE if you wish to use event correlator (See http://trac.nocproject.org/trac/wiki/Install/Pyke)
 * Follow common update procedure (http://trac.nocproject.org/trac/wiki/NocUpdate)
CHANGES:
 * main
   * Various templates cleanup
 * fm
   * Expiremental event correlator daemon (noc-correlator)
   * New built-in event classes: EIGRP, RADIUS, VTP, DHCP and Memory-related event classes (9 new classes)
   * New built-in classification rules: 13 new rules mostly for Cisco IOS
   * Event life cycle: Events now have unclassified/active/closed states.
   * Event history log
   * noc-classifier crashes on some kinds of binary data fixed
   * "Refresh Rules" button in Event Classification Rule admin list window
   * manage.py sync-rules loads correlation rules too

0.1.4 (22-FEB-2009)
-----
 * fm
   * New AJAX event list with search capability
   * noc-classifier performance increased up to 300%
   * New built-in event classes: BGP, LDP, ISDN (7 new classes).
   * New built-in classification rules: 12 new rules for Cisco IOS and Juniper JUNOS
   * fm.profile_events, fm.classification_quality report
 * main
   * main.apps_loc report counts MIB lines instead of RST
   
0.1.3 (18-FEB-2009)
-----
 * fm
   * New built-in event classes: Link, Authentication, dot11, IPsec, STP, PoE event classes (13 new classes)
   * New built-in classification rules: 25 new rules, mostly for Cisco IOS
   * Skip duplicated OIDs when load MIB
   * MIB loader uploads notifications correctly
   * New built-in MIBS
   * Better handling of binary data from SNMP Traps
   * Binary datatype decoders (IPv4 and MAC)
   
0.1.2 (16-FEB-2009)
-------------------
MIGRATION:
 * Create local/ directory in NOC root owned by NOC daemons user
 * Set up tar, gzip, smidump and smilint paths in etc/noc.conf
 * Follow http://trac.nocproject.org/trac/wiki/NocUpdate procedure
CHANGES:
 * fm
   * Built-in event classes and rules are provided with system (15 classes and 13 rules)
   * manage.py sync-rules command to import built-in classes, rules and MIBs
   * Link to preview Event Classification Rules
   * Link to convert Event Class/Classification rule to python representation
   * New reports: fm.event_priority_events, fm.unclassified_trap_oids
   * MIB dependency checking
   * MIB uploading via web-interface
   * Local MIB cache
   * smidump and smilint paths can be set via etc/conf.conf
 * main
   * main.system report shows NOC version
   * tar and gzip paths can be set via etc/noc.conf
 * sa
   * SAE no longer crashes when fails to read/deserialize crashinfo
 * vc
   * Import VLANs directly from switches

0.1.1 (11-FEB-2009)
-------------------
 * general
   * Various bugfixes
   * Documentation improvements
 * vc
   * New module: vc. Database of 802.1Q VLANs, 802.1ad Q-in-Q VLAN stacks,
     FR DLCI, ATM VPI/VCI, MPLS labels, X.25 logical group/channels
 * ip
   * IP addresses export/import to/from CSV file
   * IP addresses can be imported directly via zone transfer
 * fm
   * Activator can check managed objects availability via fping and raise FM events
   * All unhandled exceptions in daemons passed as events to FM
 * sa
   * New script interface - IGetDot11Associations
   * Cisco.IOS.get_dot11_associations, ZTE.ZXDSL531.get_dot11_associations scripts
   * Not registered activator no longer breaks config pulling process
   
0.1 (03-FEB-2009)
-----------------
 * fm
   * Optional repeated events suppression
   * New Reports: fm.event_class_events

0.1RC2 (29-JAN-2009)
--------------------
 * general
   * site_settings.py replaced with etc/noc.ini configuration file
   * daemons reload config on SIGHUP
 * main
   * main.backup periodic back ups repo too
   * New reports: main.system report, main.backups report
   * New periodicts: main.cleanup_sessions
 * peer
   * Maintainer object
 * sa
   * New service activation framework with scripting support
   * script interfaces
   * generic scripts
   * gzip message compression between SAE and activators
   * Activator tries to reconnect to SAE on connection lost
   * Activator digest authentication
   * manage.py debug-profile replaced with manage.py debug-script
 * cm
   * Configuration management uses service activation now
   * New reports: cm.stale_configs
 * fm
   * Initial Fault Management implementation
   * noc-classifier daemon
   * SNMP Trap and Syslog collector
   * MIB compilation and uploading

0.1RC1 (19-DEC-2008)
--------------------
 * First open-source publication
